Bug 14995 - Remove C4::Dates: Delete files reservereport.pl / reservereport.tt
Summary: Remove C4::Dates: Delete files reservereport.pl / reservereport.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14870
  Show dependency treegraph
 
Reported: 2015-10-09 19:40 UTC by Marc Véron
Modified: 2016-06-21 21:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14995 - Remove C4::Dates: Delete files reservereport.pl / reservereport.tt (7.76 KB, patch)
2015-10-09 19:43 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14995 - Remove C4::Dates: Delete files reservereport.pl / reservereport.tt (7.82 KB, patch)
2015-10-23 16:02 UTC, Mirko Tietgen
Details | Diff | Splinter Review
[PASSED QA] Bug 14995 - Remove C4::Dates: Delete files reservereport.pl / reservereport.tt (7.88 KB, patch)
2015-10-24 20:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-10-09 19:40:26 UTC
The following files use C4::Dates, but they seem no longer to be in use:

- koha-tmpl/intranet-tmpl/prog/en/modules/reports/reservereport.tt
- reports/reservereport.pl

To verify, git grep 'reservereport'.
Comment 1 Marc Véron 2015-10-09 19:43:03 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-10-23 09:35:17 UTC
Still applies
Comment 3 Mirko Tietgen 2015-10-23 16:02:13 UTC Comment hidden (obsolete)
Comment 4 Mirko Tietgen 2015-10-23 16:03:04 UTC
It looks like reservereport got superseeded by reserves_stats.pl and should have been removed some time ago.
Comment 5 Katrin Fischer 2015-10-24 20:17:06 UTC
Not only unused, but appears to be broken as well:
Undefined subroutine &main::unfilledreserves called at /home/katrin/kohaclone/reports/reservereport.pl line 74.
Comment 6 Katrin Fischer 2015-10-24 20:17:47 UTC
Created attachment 43933 [details] [review]
[PASSED QA] Bug 14995 - Remove C4::Dates: Delete files reservereport.pl / reservereport.tt

The following files use C4::Dates, but they seem no longer to be in use:

- koha-tmpl/intranet-tmpl/prog/en/modules/reports/reservereport.tt
- reports/reservereport.pl

To verify: git grep 'reservereport'

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Tomás Cohen Arazi 2015-10-27 13:45:39 UTC
Patch pushed to master.

Thanks Marc!